Name:           wmcalc
Version:        0.3
Release:        6%{?dist}
Summary:        Calculator in a WindowMaker dockapp

Group:          User Interface/X
License:        GPLv2+
# No original home page found, that's why we use the pool at dockapps.org.
URL:            http://www.dockapps.org/file.php/id/130
Source0:        http://www.dockapps.org/download.php/id/455/%{name}-%{version}.tar.gz
# man page is taken from the Ubuntu package
Source1:        %{name}.1.gz
# Original COPYING includes an incorrect FSF address.
Source2:        %{name}-gpl-2.0.txt
# Patch fixes a potential memory leak.
# Upstream is dead, that's why no upstream bug filed.
Patch0:         %{name}.patch
BuildRequires:  libXext-devel
BuildRequires:  libXpm-devel


%description
Wmcalc is a 64x64 pixel application that performs all the functions (and
eventually more) of a simple four function calculator. It includes a 10 digit
alpha-numeric display, and twenty buttons for user input. Clicking on the
display will clear the calculator.
It is specifically designed to be docked in Windowmaker, or 'Swallowed'
by wharf in Afterstep. Of course, it should work in just about any
window manager.

%prep
%setup -q
%patch0 -p0

%build
make clean
make FLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags} INCLUDES=-I/usr/include/X11
mv -f .%{name} %{name}-config
cp -f %{SOURCE2} COPYING

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -p -m 755 %{name} $RPM_BUILD_ROOT%{_bindir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/man1/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
install -p -d 3dObjects $RPM_BUILD_ROOT%{_datadir}/%{name}/

%clean
rm -rf $RPM_BUILD_ROOT


%files
%doc COPYING README %{name}-config
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*

%changelog
* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild


* Fri Jul 22 2011 Mario Blättermann <mariobl@fedoraproject.org> 0.3-4
- Changed name of source 2 to avoid srpm clobbering

* Mon Jul 18 2011 Mario Blättermann <mariobl@fedoraproject.org> 0.3-3
- Changed license
- Added manpage from the Ubuntu package
- Replaced original license file with a newer one from FSF

* Fri Apr 29 2011 Mario Blättermann <mariobl@fedoraproject.org> 0.3-2
- Changed CFLAGS statement to FLAGS to make the debug package useful
- Unhide the config file in %%doc
- Added a patch to fix a potential memory leak

* Fri Apr 29 2011 Mario Blättermann <mariobl@fedoraproject.org> 0.3-1
- initial version
